body {
  background-color: white;
  color: #333;
  font-family: Charter, "Bitstream Charter", "Sitka Text", Cambria, serif;
  font-size: 100%;
  padding: 0 1.5em;
  text-wrap: pretty;
}

h1,
h2.post-title {
  font-size: 1.5em;
  line-height: 1;
  margin-bottom: 1em;
  margin-top: 0;
  text-wrap: balance;
}

h1 a,
h2.post-title a {
  color: #333;
}

footer,
header,
main {
  margin: 1.5em auto;
  max-width: 36em;
}

footer {
  display: flex;
  flex-wrap: wrap;
}

footer section {
  flex: 1 15em;
}

body#home header,
body#home main {
  text-align: center;
}

body#home main h3 {
  display: none;
}

#sitename {
  color: #333;
  font-size: 3em;
  font-weight: normal;
  line-height: 1.5;
  margin: 0;
}

h1.quoted,
li.quoted {
  text-indent: -0.4em;
}

h2,
h3 {
  font-size: 1.286em;
  line-height: 1.1667;
  margin-bottom: 1.1667em;
  margin-top: 1.1667em;
}

p {
  margin-bottom: 1.5em;
  margin-top: 1.5em;
}

p.caption,
p.author {
  font-size: 0.857em;
  line-height: 1.75;
}

p.caption {
  margin-top: -1.75em;
  text-align: center;
}

p.photo {
  margin: 1.1667em 0;
  text-align: center;
}

p.photo img {
  box-shadow: #aaa 3px 3px 10px;
}

p.author {
  margin-top: -1.1667em;
}

ul {
  list-style-type: square;
  margin-bottom: 1.5em;
  padding: 0;
}

pre {
  background-color: #efefef;
  font-size: 0.857em;
  overflow-x: auto;
  padding: 1em;
}

ul ul {
  list-style-type: circle;
  padding-left: 1.3em;
}

ul ul ul {
  list-style-type: disc;
}

div.slideshow {
  background-color: black;
  margin-bottom: 1.5em;
  text-align: center;
  max-width: 50em;
}

code {
  font-family:
    ui-monospace, "Cascadia Code", "Source Code Pro", Menlo, Consolas,
    "DejaVu Sans Mono", monospace;
}

pre .nt,
pre .nv {
  color: #0550ae;
}

pre .s2,
pre .si {
  color: #116329;
}

pre .kc,
pre .nb {
  color: #6639ba;
}

blockquote {
  font-style: italic;
  margin-left: 1.5em;
}

ol {
  list-style: decimal outside;
  padding: 0;
}

ol li {
  margin-bottom: 0.5em;
}

nav.articles {
  margin-top: 2em;
}

nav.articles ul {
  list-style-type: none;
}

nav.articles ul li.previous {
  margin-left: -1.3em;
}

a {
  text-decoration-style: dotted;
}

a:hover {
  text-decoration-style: solid;
}

h1 a,
h2 a,
h3 a,
p.photo a,
#sitename {
  text-decoration-line: none;
}

input {
  height: 1.777em;
  padding-left: 4px;
  padding-right: 4px;
  line-height: 1.777;
}

article.post + article.post {
  margin-top: 5em;
}
